Results 1 to 5 of 5

Thread: upgrade from ZCS upgrade from 5.0.24 to 7.1.3 : mysql didn't start

Hybrid View

  1. #1
    Join Date
    Oct 2006
    Posts
    21
    Rep Power
    9

    Default upgrade from ZCS upgrade from 5.0.24 to 7.1.3 : mysql didn't start

    the installer couldn't start mysql during the process

    in
    Code:
    tail -f /opt/zimbra/log/mysql_error.log
    i see

    Code:
    111124 12:25:04 [ERROR] Can't open shared library '/opt/zimbra/mysql-standard-5.1.58-pc-linux-gnu-i686-glibc23/lib/mysql/plugin/ha_innodb_plugin.so' (errno: 22 undefined symbol: compressBound)
    111124 12:25:04 [ERROR] Couldn't load plugin named 'innodb' with soname 'ha_innodb_plugin.so'.
    /opt/zimbra/mysql/libexec/mysqld: Table 'mysql.plugin' doesn't exist
    111124 12:25:04 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
    111124 12:25:04 [ERROR] /opt/zimbra/mysql/libexec/mysqld: unknown variable 'innodb_buffer_pool_size=478008114'
    111124 12:25:04 [ERROR] Aborting
    I can't find anything anywhere ;(

    Can you help me ?

    thank's

  2. #2
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

  3. #3
    Join Date
    Oct 2006
    Posts
    21
    Rep Power
    9

    Default

    the 2 posts didn't help mutch

    My base wasn't updated the new tables wheren't in place in
    /opt/zimbra/db/data/mysql/

    it seems to be a linking trouble to zlib ?

    readelf -Ws /usr/lib/libz.so.1 | grep -i compressBound
    52: 009f6b00 22 FUNC GLOBAL DEFAULT 10 compressBound

    I have reinstalled then
    zlib-1.2.3-4.el5
    zlib-devel-1.2.3-4.el5

    i'm on centos 5.7

    i don't know mutch ;(

  4. #4
    Join Date
    Oct 2006
    Posts
    21
    Rep Power
    9

    Default

    a friend of mine, talk me about this file :

    /etc/ld.so.conf

    i'v got some old stuff installed (sts-mysql-1.4-10) that run an old mysql, it probably break the mysql-standard-5.1 loading process
    i have removed then and now it can run, but the update failed

    i have to reinstall the old version, untar my backup and redo the whole stuff

    i will post if it's OK

  5. #5
    Join Date
    Oct 2006
    Posts
    21
    Rep Power
    9

    Default

    now it's ok

    the update worked !

Similar Threads

  1. Replies: 5
    Last Post: 05-11-2012, 02:16 PM
  2. MySQL errors
    By mludwig in forum Administrators
    Replies: 1
    Last Post: 07-11-2011, 03:40 AM
  3. Replies: 6
    Last Post: 03-14-2011, 04:21 AM
  4. [SOLVED] New zcs 7 install : database errors founds
    By dkbk in forum Administrators
    Replies: 4
    Last Post: 03-01-2011, 05:49 AM
  5. Zimbra fails after working for 2 weeks
    By Linsys in forum Administrators
    Replies: 10
    Last Post: 10-07-2008, 12:42 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •